#
# spec file for package slrn (Version 0.9.7.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  inn slang
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip inn kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow slang strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         slrn
Copyright:    GPL
Group:        Applications/News
Provides:     slrn 
Autoreqprov:  on
Version:      0.9.7.1
Release:      45
Summary:      A News Reader
URL:	      http://www.slrn.org
Source:       http://prdownloads.sourceforge.net/slrn/slrn-%{version}.tar.bz2
Source1:      slrn.run
Patch0:       slrn-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
SLRN is a powerful, easy to use, threaded internet newsreader.
It is highly customizable, permitting one to redefined keys,
and includes a sophisticated macro language for further customization.

Authors:
--------
    John Davis <davis@space.mit.edu>

SuSE series: n

%prep
%setup
%patch -P 0

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} \
    --with-docdir=%{_defaultdocdir}/slrn --with-libdir=/etc/slrn
make 
make slrnpull

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" \
     install
mkdir -p "$RPM_BUILD_ROOT"/etc/slrn
install -m 644 doc/slrn.rc "$RPM_BUILD_ROOT"/etc/slrn/ 
install %{S:1} "$RPM_BUILD_ROOT"/usr/bin/

%pre
test -e usr/lib/slrn/slrn.rc && {
	mkdir -p etc/slrn
	test -e etc/slrn/slrn.rc || \
		mv usr/lib/slrn/slrn.rc etc/slrn/slrn.rc
}
test -e var/lib/slrn/slrn.rc && {
	mkdir -p etc/slrn
	test -e etc/slrn/slrn.rc || \
		mv var/lib/slrn/slrn.rc etc/slrn/slrn.rc
}
exit 0

%files
%docdir %{_defaultdocdir}/slrn
%{_defaultdocdir}/slrn
%dir /etc/slrn
/usr/bin/slrn
/usr/bin/slrn.run
/usr/bin/slrnpull
%config /etc/slrn/slrn.rc
%doc %{_mandir}/man1/*
/usr/share/slrn

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%changelog -n slrn
* Fri Jun 29 2001 - nadvornik@suse.cz
- update to 0.9.7.1
- added script for SuSE menu [bug #8128]
* Fri Nov 10 2000 - nadvornik@suse.cz
- update to 0.9.6.3
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Thu Jul 27 2000 - bjacke@suse.de
- added UTF8 reading support
* Mon May 22 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Fri Mar 24 2000 - nadvornik@suse.cz
- added URL
* Mon Mar 13 2000 - @suse.cz
- upgrade to 0.9.6.2
- added BuildRoot
- removed Makefile.Linux
* Fri Mar 03 2000 - fehr@suse.de
- move man pages to /usr/share/man
* Tue Jan 04 2000 - fehr@suse.de
- fix y2k problem in NEWGROUPS command
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- update to 0.9.5.7
* Thu Jul 16 1998 - florian@suse.de
- simplified spec-file
- update to 0.9.5.2
* Wed Dec 03 1997 - bs@suse.de
- added exit 0 to %%pre
* Thu Nov 27 1997 - florian@suse.de
- update to 0.9.4.3
* Wed Nov 19 1997 - florian@suse.de
- move config files to /var/lib/slrn
- add bug-fix to slrn
* Sun Apr 13 1997 - florian@suse.de
- update to new version 0.9.3.2
* Thu Jan 02 1997 - florian@suse.de
- update to new version 0.9.1.1
* Thu Jan 02 1997 - 
  "set group_dsc_start_column" fix.
